Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class GeneralSecurityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BadPaddingException, CertificateException, CertPathBuilderException, CertPathValidatorException, CertStoreException, CRLException, DigestException, ExemptionMechanismException, IllegalBlockSizeException, InvalidAlgorithmParameterException, InvalidKeySpecException, InvalidParameterSpecException, KeyException, KeyStoreException, LoginException, NoSuchAlgorithmException, NoSuchPaddingException, NoSuchProviderException, ShortBufferException, SignatureException, UnrecoverableKeyException

public class GeneralSecurityException
extends Exception

This is the general security exception class, which serves to group all the exception classes of the `java.security` package that extend from it.

The exceptions to this grouping are:

- AccessControlException and RMISecurityException, which subclass java.lang.SecurityException
- ProviderException, which subclasses java.lang.RuntimeException
- InvalidParameterException, which subclasses java.lang.IllegalArgumentException

See Also:
  Serialized Form

Constructor Summary
`GeneralSecurityException()` Constructs a GeneralSecurityException with no detail message.
`GeneralSecurityException(String msg)` Constructs a GeneralSecurityException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneralSecurityException

    public GeneralSecurityException()

  Constructs a GeneralSecurityException with no detail message.

### GeneralSecurityException

    public GeneralSecurityException(String msg)

  Constructs a GeneralSecurityException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.